Subject: Rice for Sale

From: [email-masked] (XMTRADER)
Date: 5 Mar 1995 12:29:16 -0500

Have option to sell 10,000 metric tons of milled rice form SE Asia during
1995.  Reasonable to excellent quality with 60 to 96% head rice, depending
on requirements.  Please respond by email with inquiry and requirements to
the attention of Ray Clark.